Bug 1252923 - qemucmdline: Avoid duplication of qemu-kvm flags
qemucmdline: Avoid duplication of qemu-kvm flags
Product: vdsm
Classification: oVirt
Component: General (Show other bugs)
All Linux
medium Severity high (vote)
: ovirt-4.2.0
: ---
Assigned To: Dan Kenigsberg
Gil Klein
Depends On: 1029226
  Show dependency treegraph
Reported: 2015-08-12 09:55 EDT by Douglas Schilling Landgraf
Modified: 2017-08-21 04:30 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-08-21 04:30:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michal.skrivanek: ovirt‑4.2?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?

Attachments (Terms of Use)

  None (edit)
Description Douglas Schilling Landgraf 2015-08-12 09:55:53 EDT
Description of problem:

After configuring qemucmdline hook and setup additional options to spice it adds to qemu-kvm two spice flags. Please start the virtual machine with only one -spice option having all parameters.

VDSM must avoid the duplication for starting correctly the virtual machine.

How reproducible:

1. Install qemucmdline hook in the host
   https://apps.fedoraproject.org/packages/vdsm-hook-qemucmdline or 

2. In the Engine
 # engine-config -s "UserDefinedVMProperties=qemu_cmdline=^.*$"
 # service ovirt-engine restart

Now go to oVirt Engine Admin Portal
   -> Virtual Machines
   -> Stop the virtual machine
   -> Click in the VM and Edit
      -> Custom Properties
         Add the key qemu_cmdline and type in the box your additional param to qemu:
           ["-spice", "tls-ciphers=DES-CBC3-SHA"]
   -> Start the virtual machine

3. In the host.

   ps auxww | grep qemu-kvm  and will see two -spice options.

Additional Note

Probably it happens not only with spice but with the others options.
Comment 1 Michal Skrivanek 2015-08-12 10:21:26 EDT
note this is currently not possible.
There are libvirt hooks which also can't modify qemu command line, unfortunately

The only way seem to be to wrap /usr/libexec/qemu-kvm-rhev and alter arguments there
Comment 4 Michal Skrivanek 2016-01-22 02:06:41 EST
The only current use case I'm aware of is to supply allowed ciphers list. Feature bug 1029226 should solve it at system level
Comment 11 Michal Skrivanek 2017-08-21 04:30:09 EDT
need to rely on hook and custom wrapper (https://github.com/dougsland/misc-ovirt/tree/master/ovirt-qemu-kvm-wrapper) for the timebeing

Note You need to log in before you can comment on or make changes to this bug.